using UnityEngine;

//////////////////////////////////////////////////////////////////
//【プレイヤーが操作する女の子を移動させるクラス】
// キー操作で女の子を左右へ移動、フルーツとの当たり判定
//////////////////////////////////////////////////////////////////
public class PlayerController : MonoBehaviour
{
    /////////////////////////////////
    // 【関数の設定】
    /////////////////////////////////

    //【ゲーム開始時・ゲームオブジェクト生成時に１回だけ動く関数】
    //（Unityの標準関数）
    void Start()
    {
        // 本ゲームは移動にUpdate関数内でTranslate・MoveTowardsを使用するため
        // 操作性が変わらない様にフレームレートを固定させる
        Application.targetFrameRate = 100;
    }


    //【毎フレームに１度動く関数】
    //（Unityの標準関数）
    void Update()
    {
        // 右矢印キーが押され、女の子のX座標が画面右端より左の場合
        if (Input.GetKey(KeyCode.RightArrow) && transform.position.x < 3.5)
        {
            // 女の子の画像を右に向ける（元画像が左向き）
            transform.localScale = new Vector3(-0.2f, 0.2f, 0);
            // 女の子を一定速度で右に移動させる
            transform.Translate(0.05f, 0, 0);
        }

        // 左矢印キーが押され、女の子のX座標が画面左端より右の場合
        if (Input.GetKey(KeyCode.LeftArrow) && transform.position.x > -3.5)
        {
            // 女の子の画像を左に向ける（元画像が左向き）
            transform.localScale = new Vector3(0.2f, 0.2f, 0);
            // 女の子を一定速度で左に移動させる
            transform.Translate(-0.05f, 0, 0);
        }
    }


    //【女の子のコライダーが他のコライダーに当たった場合呼ばれる関数】
    //（Unityの標準関数）
    private void OnCollisionEnter2D(Collision2D collision)
    {
        // 当たった相手のゲームオブジェクト(フルーツ)を削除
        Destroy(collision.gameObject);
    }
}
